# xarray.ufuncs.nextafter

`xarray.ufuncs.``nextafter` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.nextafter. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  nextafter(x1, x2, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Return the next floating-point value after x1 towards x2, element-wise.

  Parameters:

  x1 : array_like

  > Values to find the next representable value of.

  x2 : array_like

  > The direction where to look for the next representable value of x1.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  out : array_like

  > The next representable values of x1 in the direction of x2.

  Examples

      >>> eps = np.finfo(np.float64).eps
      >>> np.nextafter(1, 2) == eps + 1
      True
      >>> np.nextafter([1, 2], [2, 1]) == [eps + 1, 2 - eps]
      array([ True,  True], dtype=bool)